GNU logs - #12248, boring messages


Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12248: sleep is not arware of suspend mode
Resent-From: Albrecht Frenzel <ajfrenzel@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Tue, 21 Aug 2012 15:36:02 +0000
Resent-Message-ID: <handler.12248.B.134556334316604 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 12248
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: 12248 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-coreutils@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.134556334316604
          (code B ref -1); Tue, 21 Aug 2012 15:36:02 +0000
Received: (at submit) by debbugs.gnu.org; 21 Aug 2012 15:35:43 +0000
Received: from localhost ([127.0.0.1]:41673 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T3qUY-0004Ji-0v
	for submit <at> debbugs.gnu.org; Tue, 21 Aug 2012 11:35:43 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51131)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <ajfrenzel@HIDDEN>) id 1T3oA3-0000ud-C6
	for submit <at> debbugs.gnu.org; Tue, 21 Aug 2012 09:06:23 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <ajfrenzel@HIDDEN>) id 1T3o9c-0003l1-SA
	for submit <at> debbugs.gnu.org; Tue, 21 Aug 2012 09:06:04 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_HI autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:49277)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <ajfrenzel@HIDDEN>) id 1T3o9c-0003km-Pc
	for submit <at> debbugs.gnu.org; Tue, 21 Aug 2012 09:05:56 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38358)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <ajfrenzel@HIDDEN>) id 1T3o9b-00076W-Un
	for bug-coreutils@HIDDEN; Tue, 21 Aug 2012 09:05:56 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <ajfrenzel@HIDDEN>) id 1T3o9W-0003dB-BE
	for bug-coreutils@HIDDEN; Tue, 21 Aug 2012 09:05:55 -0400
Received: from mout.web.de ([212.227.17.11]:65332)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <ajfrenzel@HIDDEN>) id 1T3o9V-0003cg-W2
	for bug-coreutils@HIDDEN; Tue, 21 Aug 2012 09:05:50 -0400
Received: from [172.30.5.24] ([95.113.197.190]) by smtp.web.de (mrweb001) with
	ESMTPSA (Nemesis) id 0M5fhI-1TsMTM1Fdo-00xnRV for
	<bug-coreutils@HIDDEN>; Tue, 21 Aug 2012 15:05:48 +0200
Message-ID: <503387AB.1040705@HIDDEN>
Date: Tue, 21 Aug 2012 15:05:47 +0200
From: Albrecht Frenzel <ajfrenzel@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
	rv:14.0) Gecko/20120714 Thunderbird/14.0
MIME-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V02:K0:qBpA2MtDk9YXKChouGBwyqV2jTF78XRE9cn7ZC4ccSo
	xmoNEvxqPI+mHe9rotvvQLlyiCFqkqU9dRSmu8tvYk3gPQxWpF
	5DVdz4ZZDKNbhakj68oFmN6UAQxM/zaHEsKIydNALk2iXTa9/N
	5yvf1Mbds9HdmDUK6MomzFZm5X90UI6StZqY+xx9TvN+aEbbuG
	XttL9BmBV/PUSBDzj2D0A==
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Mailman-Approved-At: Tue, 21 Aug 2012 11:35:40 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

sleep (GNU coreutils) 8.13 on ubuntu 12.04 (64 bit) is not aware of 
suspend mode:

	sleep 5m
	<switch system to suspend mode for 2m>
	<wake up>

The shell will be resumed after 7m




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.428 (Entity 5.428)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Albrecht Frenzel <ajfrenzel@HIDDEN>
Subject: bug#12248: Acknowledgement (sleep is not arware of suspend mode)
Message-ID: <handler.12248.B.134556334316604.ack <at> debbugs.gnu.org>
References: <503387AB.1040705@HIDDEN>
X-Gnu-PR-Message: ack 12248
X-Gnu-PR-Package: coreutils
Reply-To: 12248 <at> debbugs.gnu.org
Date: Tue, 21 Aug 2012 15:36:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-coreutils@HIDDEN

If you wish to submit further information on this problem, please
send it to 12248 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
12248: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D12248
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12248: sleep is not arware of suspend mode
Resent-From: Philipp Thomas <pth@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Tue, 21 Aug 2012 16:17:02 +0000
Resent-Message-ID: <handler.12248.B.134556576220080 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12248
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: 12248 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-coreutils@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.134556576220080
          (code B ref -1); Tue, 21 Aug 2012 16:17:02 +0000
Received: (at submit) by debbugs.gnu.org; 21 Aug 2012 16:16:02 +0000
Received: from localhost ([127.0.0.1]:41701 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T3r7a-0005Do-3e
	for submit <at> debbugs.gnu.org; Tue, 21 Aug 2012 12:16:02 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60157)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <pth@HIDDEN>) id 1T3r7Y-0005DR-MB
	for submit <at> debbugs.gnu.org; Tue, 21 Aug 2012 12:16:01 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <pth@HIDDEN>) id 1T3r7C-0007bM-Ub
	for submit <at> debbugs.gnu.org; Tue, 21 Aug 2012 12:15:40 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:45503)
	by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <pth@HIDDEN>)
	id 1T3r7C-0007b8-Rv
	for submit <at> debbugs.gnu.org; Tue, 21 Aug 2012 12:15:38 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38706)
	by lists.gnu.org with esmtp (Exim 4.71) (envelope-from <pth@HIDDEN>)
	id 1T3r77-0008Ms-T1
	for bug-coreutils@HIDDEN; Tue, 21 Aug 2012 12:15:34 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <pth@HIDDEN>) id 1T3r73-0007ZK-97
	for bug-coreutils@HIDDEN; Tue, 21 Aug 2012 12:15:33 -0400
Received: from cantor2.suse.de ([195.135.220.15]:53235 helo=mx2.suse.de)
	by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <pth@HIDDEN>)
	id 1T3r73-0007Z6-37
	for bug-coreutils@HIDDEN; Tue, 21 Aug 2012 12:15:29 -0400
Received: from relay1.suse.de (unknown [195.135.220.254])
	(using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits))
	(No client certificate requested)
	by mx2.suse.de (Postfix) with ESMTP id 03564A3DDD
	for <bug-coreutils@HIDDEN>; Tue, 21 Aug 2012 18:15:28 +0200 (CEST)
Date: Tue, 21 Aug 2012 18:15:27 +0200
From: Philipp Thomas <pth@HIDDEN>
Message-ID: <20120821161527.GL1118@HIDDEN>
References: <503387AB.1040705@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <503387AB.1040705@HIDDEN>
X-Operating-System: openSUSE - Kernel Linux 3.4.2-1-desktop x86_64
Organization: SUSE LINUX Products GmbH, GF: Jeff Hawn, Jennifer Guild, Felix =?UTF-8?Q?Imend=C3=B6rffer,?= HRB 21284 (AG =?UTF-8?Q?N=C3=BCrnberg?=)
User-Agent: Mutt/1.5.21 (2010-09-15)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4-2.6
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

* Albrecht Frenzel (ajfrenzel@HIDDEN) [20120821 18:05]:

> 	sleep 5m
> 	<switch system to suspend mode for 2m>
> 	<wake up>
> 
> The shell will be resumed after 7m

That's how it should be. The complete system is frozen and after resuming
continue where they were were stopped.

Philipp




Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12248: sleep is not arware of suspend mode
Resent-From: Bob Proulx <bob@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Tue, 21 Aug 2012 17:00:01 +0000
Resent-Message-ID: <handler.12248.B12248.134556836023937 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12248
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: Philipp Thomas <pth@HIDDEN>
Cc: 12248 <at> debbugs.gnu.org
Received: via spool by 12248-submit <at> debbugs.gnu.org id=B12248.134556836023937
          (code B ref 12248); Tue, 21 Aug 2012 17:00:01 +0000
Received: (at 12248) by debbugs.gnu.org; 21 Aug 2012 16:59:20 +0000
Received: from localhost ([127.0.0.1]:41786 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T3rnT-0006E0-H6
	for submit <at> debbugs.gnu.org; Tue, 21 Aug 2012 12:59:20 -0400
Received: from joseki.proulx.com ([216.17.153.58]:50421)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <bob@HIDDEN>)
	id 1T3rnR-0006Dq-Cx; Tue, 21 Aug 2012 12:59:18 -0400
Received: from hysteria.proulx.com (hysteria.proulx.com [192.168.230.119])
	by joseki.proulx.com (Postfix) with ESMTP id EC78421250;
	Tue, 21 Aug 2012 10:58:56 -0600 (MDT)
Received: by hysteria.proulx.com (Postfix, from userid 1000)
	id 9FEE22DC66; Tue, 21 Aug 2012 10:58:56 -0600 (MDT)
Date: Tue, 21 Aug 2012 10:58:56 -0600
From: Bob Proulx <bob@HIDDEN>
Message-ID: <20120821165856.GA5930@HIDDEN>
References: <503387AB.1040705@HIDDEN> <20120821161527.GL1118@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <20120821161527.GL1118@HIDDEN>
User-Agent: Mutt/1.5.21 (2010-09-15)
X-Spam-Score: -2.1 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

tag 12248 + notabug
close 12248
thanks

Philipp Thomas wrote:
> Albrecht Frenzel wrote:
> > 	sleep 5m
> > 	<switch system to suspend mode for 2m>
> > 	<wake up>
> > 
> > The shell will be resumed after 7m
> 
> That's how it should be. The complete system is frozen and after resuming
> continue where they were were stopped.

Correct.  That is the expected behavior.  Therefore I am closing this
bug.

Bob




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 21 Aug 2012 16:59:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 21 12:59:20 2012
Received: from localhost ([127.0.0.1]:41788 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T3rnU-0006E3-M1
	for submit <at> debbugs.gnu.org; Tue, 21 Aug 2012 12:59:20 -0400
Received: from joseki.proulx.com ([216.17.153.58]:50421)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <bob@HIDDEN>)
	id 1T3rnR-0006Dq-Cx; Tue, 21 Aug 2012 12:59:18 -0400
Received: from hysteria.proulx.com (hysteria.proulx.com [192.168.230.119])
	by joseki.proulx.com (Postfix) with ESMTP id EC78421250;
	Tue, 21 Aug 2012 10:58:56 -0600 (MDT)
Received: by hysteria.proulx.com (Postfix, from userid 1000)
	id 9FEE22DC66; Tue, 21 Aug 2012 10:58:56 -0600 (MDT)
Date: Tue, 21 Aug 2012 10:58:56 -0600
From: Bob Proulx <bob@HIDDEN>
To: Philipp Thomas <pth@HIDDEN>
Subject: Re: bug#12248: sleep is not arware of suspend mode
Message-ID: <20120821165856.GA5930@HIDDEN>
References: <503387AB.1040705@HIDDEN> <20120821161527.GL1118@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <20120821161527.GL1118@HIDDEN>
User-Agent: Mutt/1.5.21 (2010-09-15)
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: control
Cc: 12248 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

tag 12248 + notabug
close 12248
thanks

Philipp Thomas wrote:
> Albrecht Frenzel wrote:
> > 	sleep 5m
> > 	<switch system to suspend mode for 2m>
> > 	<wake up>
> > 
> > The shell will be resumed after 7m
> 
> That's how it should be. The complete system is frozen and after resuming
> continue where they were were stopped.

Correct.  That is the expected behavior.  Therefore I am closing this
bug.

Bob




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 21 Aug 2012 16:59:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 21 12:59:20 2012
Received: from localhost ([127.0.0.1]:41788 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T3rnU-0006E3-M1
	for submit <at> debbugs.gnu.org; Tue, 21 Aug 2012 12:59:20 -0400
Received: from joseki.proulx.com ([216.17.153.58]:50421)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <bob@HIDDEN>)
	id 1T3rnR-0006Dq-Cx; Tue, 21 Aug 2012 12:59:18 -0400
Received: from hysteria.proulx.com (hysteria.proulx.com [192.168.230.119])
	by joseki.proulx.com (Postfix) with ESMTP id EC78421250;
	Tue, 21 Aug 2012 10:58:56 -0600 (MDT)
Received: by hysteria.proulx.com (Postfix, from userid 1000)
	id 9FEE22DC66; Tue, 21 Aug 2012 10:58:56 -0600 (MDT)
Date: Tue, 21 Aug 2012 10:58:56 -0600
From: Bob Proulx <bob@HIDDEN>
To: Philipp Thomas <pth@HIDDEN>
Subject: Re: bug#12248: sleep is not arware of suspend mode
Message-ID: <20120821165856.GA5930@HIDDEN>
References: <503387AB.1040705@HIDDEN> <20120821161527.GL1118@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <20120821161527.GL1118@HIDDEN>
User-Agent: Mutt/1.5.21 (2010-09-15)
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: control
Cc: 12248 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

tag 12248 + notabug
close 12248
thanks

Philipp Thomas wrote:
> Albrecht Frenzel wrote:
> > 	sleep 5m
> > 	<switch system to suspend mode for 2m>
> > 	<wake up>
> > 
> > The shell will be resumed after 7m
> 
> That's how it should be. The complete system is frozen and after resuming
> continue where they were were stopped.

Correct.  That is the expected behavior.  Therefore I am closing this
bug.

Bob




Message received at fakecontrol@fakecontrolmessage:


Received: (at fakecontrol) by fakecontrolmessage;
To: internal_control <at> debbugs.gnu.org
From: Debbugs Internal Request <help-debbugs@HIDDEN>
Subject: Internal Control
Message-Id: Did not alter fixed versions and reopened.
Date: Tue, 21 Aug 2012 20:49:01 +0000
User-Agent: Fakemail v42.6.9

# This is a fake control message.
#
# The action:
# Did not alter fixed versions and reopened.
thanks
# This fakemail brought to you by your local debbugs
# administrator


Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 21 Aug 2012 20:50:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 21 16:50:18 2012
Received: from localhost ([127.0.0.1]:42011 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T3vP0-0005aR-67
	for submit <at> debbugs.gnu.org; Tue, 21 Aug 2012 16:50:18 -0400
Received: from smtp.cs.ucla.edu ([131.179.128.62]:40243)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eggert@HIDDEN>) id 1T3vOy-0005aI-Qn
	for control <at> debbugs.gnu.org; Tue, 21 Aug 2012 16:50:17 -0400
Received: from localhost (localhost.localdomain [127.0.0.1])
	by smtp.cs.ucla.edu (Postfix) with ESMTP id C018439E800E
	for <control <at> debbugs.gnu.org>; Tue, 21 Aug 2012 13:49:55 -0700 (PDT)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
	by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id GK4SZ0Fya5LR for <control <at> debbugs.gnu.org>;
	Tue, 21 Aug 2012 13:49:55 -0700 (PDT)
Received: from [192.168.1.3] (pool-108-23-119-2.lsanca.fios.verizon.net
	[108.23.119.2])
	by smtp.cs.ucla.edu (Postfix) with ESMTPSA id 7769E39E800D
	for <control <at> debbugs.gnu.org>; Tue, 21 Aug 2012 13:49:55 -0700 (PDT)
Message-ID: <5033F475.3070102@HIDDEN>
Date: Tue, 21 Aug 2012 13:49:57 -0700
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
User-Agent: Mozilla/5.0 (X11; Linux i686;
	rv:14.0) Gecko/20120714 Thunderbird/14.0
MIME-Version: 1.0
To: control <at> debbugs.gnu.org
Subject: remove notabug tag
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

tags 12248 - notabug
thanks




Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12248: sleep is not arware of suspend mode
Resent-From: Paul Eggert <eggert@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Tue, 21 Aug 2012 20:52:02 +0000
Resent-Message-ID: <handler.12248.B12248.134558227321592 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12248
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: Bob Proulx <bob@HIDDEN>
Cc: 12248 <at> debbugs.gnu.org, Albrecht Frenzel <ajfrenzel@HIDDEN>
Received: via spool by 12248-submit <at> debbugs.gnu.org id=B12248.134558227321592
          (code B ref 12248); Tue, 21 Aug 2012 20:52:02 +0000
Received: (at 12248) by debbugs.gnu.org; 21 Aug 2012 20:51:13 +0000
Received: from localhost ([127.0.0.1]:42016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T3vPs-0005cD-Lx
	for submit <at> debbugs.gnu.org; Tue, 21 Aug 2012 16:51:13 -0400
Received: from smtp.cs.ucla.edu ([131.179.128.62]:40289)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eggert@HIDDEN>) id 1T3vPq-0005c6-TE
	for 12248 <at> debbugs.gnu.org; Tue, 21 Aug 2012 16:51:11 -0400
Received: from localhost (localhost.localdomain [127.0.0.1])
	by smtp.cs.ucla.edu (Postfix) with ESMTP id C814C39E800E;
	Tue, 21 Aug 2012 13:50:49 -0700 (PDT)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
	by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id E-XC-df4KTNZ; Tue, 21 Aug 2012 13:50:49 -0700 (PDT)
Received: from [192.168.1.3] (pool-108-23-119-2.lsanca.fios.verizon.net
	[108.23.119.2])
	by smtp.cs.ucla.edu (Postfix) with ESMTPSA id 797A939E800D;
	Tue, 21 Aug 2012 13:50:49 -0700 (PDT)
Message-ID: <5033F4AB.3070101@HIDDEN>
Date: Tue, 21 Aug 2012 13:50:51 -0700
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
User-Agent: Mozilla/5.0 (X11; Linux i686;
	rv:14.0) Gecko/20120714 Thunderbird/14.0
MIME-Version: 1.0
References: <503387AB.1040705@HIDDEN> <20120821161527.GL1118@HIDDEN>
	<20120821165856.GA5930@HIDDEN>
In-Reply-To: <20120821165856.GA5930@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.1 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

On 08/21/2012 09:58 AM, Bob Proulx wrote:
> That is the expected behavior.

It's not the behavior *I* expect.  I expect
'sleep' to use realtime seconds, not seconds
of some arbitrary clock that's way far from
real time.

I've taken the liberty of reopening this one,
for further discussion.




Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12248: sleep is not arware of suspend mode
Resent-From: Bob Proulx <bob@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Tue, 21 Aug 2012 21:04:02 +0000
Resent-Message-ID: <handler.12248.B12248.134558298425887 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12248
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: 12248 <at> debbugs.gnu.org, Albrecht Frenzel <ajfrenzel@HIDDEN>
Received: via spool by 12248-submit <at> debbugs.gnu.org id=B12248.134558298425887
          (code B ref 12248); Tue, 21 Aug 2012 21:04:02 +0000
Received: (at 12248) by debbugs.gnu.org; 21 Aug 2012 21:03:04 +0000
Received: from localhost ([127.0.0.1]:42025 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T3vbL-0006jT-OM
	for submit <at> debbugs.gnu.org; Tue, 21 Aug 2012 17:03:04 -0400
Received: from joseki.proulx.com ([216.17.153.58]:51587)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <bob@HIDDEN>) id 1T3vbI-0006j2-R6
	for 12248 <at> debbugs.gnu.org; Tue, 21 Aug 2012 17:03:01 -0400
Received: from hysteria.proulx.com (hysteria.proulx.com [192.168.230.119])
	by joseki.proulx.com (Postfix) with ESMTP id 2E03F21250;
	Tue, 21 Aug 2012 15:02:39 -0600 (MDT)
Received: by hysteria.proulx.com (Postfix, from userid 1000)
	id 15E502DC72; Tue, 21 Aug 2012 15:02:38 -0600 (MDT)
Date: Tue, 21 Aug 2012 15:02:38 -0600
From: Bob Proulx <bob@HIDDEN>
Message-ID: <20120821210238.GA31684@HIDDEN>
References: <503387AB.1040705@HIDDEN> <20120821161527.GL1118@HIDDEN>
	<20120821165856.GA5930@HIDDEN>
	<5033F4AB.3070101@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <5033F4AB.3070101@HIDDEN>
User-Agent: Mutt/1.5.21 (2010-09-15)
X-Spam-Score: -2.1 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

Paul Eggert wrote:
> Bob Proulx wrote:
> > That is the expected behavior.
> 
> It's not the behavior *I* expect.  I expect
> 'sleep' to use realtime seconds, not seconds
> of some arbitrary clock that's way far from
> real time.

Sleep has always been a pause in relative time from when the call is
made to when it returns.  Implementations have varied (signals,
select, etc.) each with various issues causing a move from one to the
other method.  But if the system suspends then all processes suspend
together.  When the system wakes up then all processes proceed
together from the point where they left off when suspending.  I think
anything else is going to create a lot of problems.

I could see a big problem for many processes on the system if when the
system resumes from suspend that all of the sleeping processes "all go
off at once".  It would cause a huge spike in system load as all of
them fired all at one time.  Granted that most sleeping processes are
going to be sleeping in C code and no change to the coreutils sleep
program will affect them.  But any scripts that are using sleep would
be affected.

Also, the reason for sleep is often to add skew between two events.
If upon wakeup all of the sleeping processes are all triggered then
all relative skew will have been removed.  Worse the wakeup would act
as a synchronization point causing all of the sleeping processes to be
deskewed.

But I can definitely see that sleeping until a particular time would
be useful behavior.  But that would be such as large expansion of code
and behavior that I think it should warrant a different program rather
than expand sleep that much.

Should we create a new command that sleeps until a particular system
time?

  sleepuntil --date="now + 30 minutes"

Bob




Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12248: sleep is not arware of suspend mode
Resent-From: Eric Blake <eblake@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Tue, 21 Aug 2012 21:04:02 +0000
Resent-Message-ID: <handler.12248.B12248.134558302925942 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12248
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: Paul Eggert <eggert@HIDDEN>
Cc: 12248 <at> debbugs.gnu.org, Albrecht Frenzel <ajfrenzel@HIDDEN>, Bob Proulx <bob@HIDDEN>
Received: via spool by 12248-submit <at> debbugs.gnu.org id=B12248.134558302925942
          (code B ref 12248); Tue, 21 Aug 2012 21:04:02 +0000
Received: (at 12248) by debbugs.gnu.org; 21 Aug 2012 21:03:49 +0000
Received: from localhost ([127.0.0.1]:42028 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T3vc4-0006kM-F1
	for submit <at> debbugs.gnu.org; Tue, 21 Aug 2012 17:03:48 -0400
Received: from mx1.redhat.com ([209.132.183.28]:16249)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eblake@HIDDEN>) id 1T3vc1-0006kD-MF
	for 12248 <at> debbugs.gnu.org; Tue, 21 Aug 2012 17:03:47 -0400
Received: from int-mx10.intmail.prod.int.phx2.redhat.com
	(int-mx10.intmail.prod.int.phx2.redhat.com [10.5.11.23])
	by mx1.redhat.com (8.14.4/8.14.4) with ESMTP id q7LL3Hmw007954
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Tue, 21 Aug 2012 17:03:17 -0400
Received: from [10.3.113.100] (ovpn-113-100.phx2.redhat.com [10.3.113.100])
	by int-mx10.intmail.prod.int.phx2.redhat.com (8.14.4/8.14.4) with ESMTP
	id q7LL3GTf018180; Tue, 21 Aug 2012 17:03:16 -0400
Message-ID: <5033F793.8060205@HIDDEN>
Date: Tue, 21 Aug 2012 15:03:15 -0600
From: Eric Blake <eblake@HIDDEN>
Organization: Red Hat
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
	rv:14.0) Gecko/20120717 Thunderbird/14.0
MIME-Version: 1.0
References: <503387AB.1040705@HIDDEN> <20120821161527.GL1118@HIDDEN>
	<20120821165856.GA5930@HIDDEN>
	<5033F4AB.3070101@HIDDEN>
In-Reply-To: <5033F4AB.3070101@HIDDEN>
X-Enigmail-Version: 1.4.3
OpenPGP: url=http://people.redhat.com/eblake/eblake.gpg
Content-Type: multipart/signed; micalg=pgp-sha256;
	protocol="application/pgp-signature";
	boundary="------------enig870CA67E7C76E8C8A68FB28D"
X-Scanned-By: MIMEDefang 2.68 on 10.5.11.23
X-Spam-Score: -7.1 (-------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -7.1 (-------)

This is an OpenPGP/MIME signed message (RFC 2440 and 3156)
--------------enig870CA67E7C76E8C8A68FB28D
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

On 08/21/2012 02:50 PM, Paul Eggert wrote:
> On 08/21/2012 09:58 AM, Bob Proulx wrote:
>> That is the expected behavior.
>=20
> It's not the behavior *I* expect.  I expect
> 'sleep' to use realtime seconds, not seconds
> of some arbitrary clock that's way far from
> real time.

In fact, I think both modes have their use, and that we probably ought
to provide an option to choose between absolute wall clock deadline
(stable realtime sleep even if the processor time jumps forwards or
backwards or has gaps due to suspend) vs. elapsed relative processor
time (where changing the processor clock can lengthen or shorten the
sleep duration).  If we do add code to support multiple flavors of sleep
durations, I'd probably lean towards absolute wall time as the default.

--=20
Eric Blake   eblake@HIDDEN    +1-919-301-3266
Libvirt virtualization library http://libvirt.org


--------------enig870CA67E7C76E8C8A68FB28D
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Public key at http://people.redhat.com/eblake/eblake.gpg
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBCAAGBQJQM/eTAAoJEKeha0olJ0NqlLEH/31lL2yuJs+retonIi0hBGL6
fHl0siuk+4QvfT6RVbMBUDl3RTHFzW+zerSrG/eeuQKU84b8kpXfIA96ODk+J0gD
McIMqEYpHhmeutR008GGE1KEcH+2qE5Die3+ZHsQ3COdXfksIQ1yo6Dbx8aQZxWE
BImb0dwEaRNBb1Lzf4YHOBc+NnBVlwUMP2SY6j2/RqgAZ1DLCWmR8N2jN+mCPYPn
nHf+8WYyFypfnUQXyQ9++oyvq4x3djorA+/uRZYAmUXPF+KAFcEZ2ExCQLiQcP5E
5QfF3OWeE6VfAfQvCkGirPee1k4aWcYvTmqAHVB4Eo3Yy9wUKJLhWRfD5gARZaE=
=64f9
-----END PGP SIGNATURE-----

--------------enig870CA67E7C76E8C8A68FB28D--




Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12248: sleep is not arware of suspend mode
Resent-From: Albrecht Frenzel <ajfrenzel@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Tue, 21 Aug 2012 22:32:01 +0000
Resent-Message-ID: <handler.12248.B12248.13455883031086 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12248
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: Bob Proulx <bob@HIDDEN>
Cc: 12248 <at> debbugs.gnu.org
Received: via spool by 12248-submit <at> debbugs.gnu.org id=B12248.13455883031086
          (code B ref 12248); Tue, 21 Aug 2012 22:32:01 +0000
Received: (at 12248) by debbugs.gnu.org; 21 Aug 2012 22:31:43 +0000
Received: from localhost ([127.0.0.1]:42105 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T3wz9-0000HT-8w
	for submit <at> debbugs.gnu.org; Tue, 21 Aug 2012 18:31:43 -0400
Received: from mout.web.de ([212.227.17.12]:58353)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <ajfrenzel@HIDDEN>) id 1T3wz7-0000HL-91
	for 12248 <at> debbugs.gnu.org; Tue, 21 Aug 2012 18:31:42 -0400
Received: from [172.30.5.24] ([95.113.197.190]) by smtp.web.de (mrweb103) with
	ESMTPSA (Nemesis) id 0MgOCo-1TGgR443Uc-00NDPE;
	Wed, 22 Aug 2012 00:31:13 +0200
Message-ID: <50340C30.1060805@HIDDEN>
Date: Wed, 22 Aug 2012 00:31:12 +0200
From: Albrecht Frenzel <ajfrenzel@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
	rv:14.0) Gecko/20120714 Thunderbird/14.0
MIME-Version: 1.0
References: <503387AB.1040705@HIDDEN> <20120821161527.GL1118@HIDDEN>
	<20120821165856.GA5930@HIDDEN>
	<5033F4AB.3070101@HIDDEN>
	<20120821210238.GA31684@HIDDEN>
In-Reply-To: <20120821210238.GA31684@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V02:K0:XG9aPzHkOBbfZuXJjU5U5EbqIXfEw+grgbTfqonVZKl
	rrUb8d9DOKYxyVk8V5I4UI/xseLqZrrIQczgE6Itt2ASRCVxc3
	jPzmkV85ScIRqTrYMrh++smtDaf7VtpjBMb/4MV9xz83N5bhWp
	e/pJoRiQ25dN4sP6qQ9G6cccOG5wx1qAiou4ILE1oMIsyrdzPu
	4fguIqiBU1iQNztqOeMxw==
X-Spam-Score: -2.1 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

> Granted that most sleeping processes are
> going to be sleeping in C code and no change to the coreutils sleep
> program will affect them.

At script level, I would expect real time behaviour. At system level 
in C code, both is possible.

Remember leap seconds.

Albrecht




Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12248: sleep is not arware of suspend mode
Resent-From: =?UTF-8?Q?P=C3=A1draig?= Brady <P@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Wed, 22 Aug 2012 00:17:01 +0000
Resent-Message-ID: <handler.12248.B12248.134559456210131 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12248
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: Eric Blake <eblake@HIDDEN>
Cc: 12248 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>, Albrecht Frenzel <ajfrenzel@HIDDEN>, Bob Proulx <bob@HIDDEN>
Received: via spool by 12248-submit <at> debbugs.gnu.org id=B12248.134559456210131
          (code B ref 12248); Wed, 22 Aug 2012 00:17:01 +0000
Received: (at 12248) by debbugs.gnu.org; 22 Aug 2012 00:16:02 +0000
Received: from localhost ([127.0.0.1]:42166 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T3yc5-0002dL-Tl
	for submit <at> debbugs.gnu.org; Tue, 21 Aug 2012 20:16:02 -0400
Received: from mx1.redhat.com ([209.132.183.28]:56147)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <P@HIDDEN>) id 1T3yc3-0002cv-37
	for 12248 <at> debbugs.gnu.org; Tue, 21 Aug 2012 20:16:00 -0400
Received: from int-mx10.intmail.prod.int.phx2.redhat.com
	(int-mx10.intmail.prod.int.phx2.redhat.com [10.5.11.23])
	by mx1.redhat.com (8.14.4/8.14.4) with ESMTP id q7M0FYTK013124
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Tue, 21 Aug 2012 20:15:34 -0400
Received: from [10.36.116.17] (ovpn-116-17.ams2.redhat.com [10.36.116.17])
	by int-mx10.intmail.prod.int.phx2.redhat.com (8.14.4/8.14.4) with ESMTP
	id q7M0FVh6006349
	(version=TLSv1/SSLv3 cipher=DHE-RSA-CAMELLIA256-SHA bits=256 verify=NO);
	Tue, 21 Aug 2012 20:15:32 -0400
Message-ID: <503424A3.1000409@HIDDEN>
Date: Wed, 22 Aug 2012 01:15:31 +0100
From: =?UTF-8?Q?P=C3=A1draig?= Brady <P@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
	rv:6.0) Gecko/20110816 Thunderbird/6.0
MIME-Version: 1.0
References: <503387AB.1040705@HIDDEN> <20120821161527.GL1118@HIDDEN>
	<20120821165856.GA5930@HIDDEN>
	<5033F4AB.3070101@HIDDEN> <5033F793.8060205@HIDDEN>
In-Reply-To: <5033F793.8060205@HIDDEN>
X-Enigmail-Version: 1.3.2
Content-Type: text/plain; charset=UTF-8
X-Scanned-By: MIMEDefang 2.68 on 10.5.11.23
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by mx1.redhat.com id
	q7M0FYTK013124
X-Spam-Score: -6.9 (------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

On 08/21/2012 10:03 PM, Eric Blake wrote:
> On 08/21/2012 02:50 PM, Paul Eggert wrote:
>> On 08/21/2012 09:58 AM, Bob Proulx wrote:
>>> That is the expected behavior.
>>
>> It's not the behavior *I* expect.  I expect
>> 'sleep' to use realtime seconds, not seconds
>> of some arbitrary clock that's way far from
>> real time.
>=20
> In fact, I think both modes have their use, and that we probably ought
> to provide an option to choose between absolute wall clock deadline
> (stable realtime sleep even if the processor time jumps forwards or
> backwards or has gaps due to suspend) vs. elapsed relative processor
> time (where changing the processor clock can lengthen or shorten the
> sleep duration).  If we do add code to support multiple flavors of slee=
p
> durations, I'd probably lean towards absolute wall time as the default.

I agree that either behavior could be required.
The default though should probably stay as is.
I.E. when the system suspends, the timeout suspends too.
Changing to "wall clock time" would require an option,
as that can jump around due to suspend, ntp, ...

We had this discussion recently also, in relation to timeout(1).

timeout(1) currently uses timer_create(CLOCK_REALTIME).
According to docs=C2=B9, that should jump due to settime()/settimeofday()=
/resume
though I can't reproduce here with a resume, or even when pushing the
updated system clock down to the hardware:

# timeout 3 sh -c 'date --set=3D$(LC_ALL=3DC date -d 10\ sec +@%s); hwclo=
ck -w; sleep 1'
# echo $?
0

Here is some pertinent info from nanosleep(2) (used by sleep(1)):
   POSIX.1  specifies  that  nanosleep()  should  measure time against th=
e
   CLOCK_REALTIME clock.  However,  Linux  measures  the  time  using  th=
e
   CLOCK_MONOTONIC  clock.   This  probably  does  not  matter,  since th=
e
   POSIX.1 specification  for  clock_settime(2)  says  that  discontinuou=
s
   changes in CLOCK_REALTIME should not affect nanosleep():
        Setting  the  value  of  the CLOCK_REALTIME clock via clock_set=E2=
=80=90
        time(2) shall have no effect on threads that are blocked waiting
        for a relative time service based upon this clock, including the
        nanosleep() function; ...   Consequently,  these  time  services
        shall expire when the requested relative interval elapses, inde=E2=
=80=90
        pendently of the new or old value of the clock.
Maybe the kernel is incorrectly implementing this POSIX clause
for our interval timer. Perhaps we need to specify TIMER_ABSTIME
to timer_settime to avoid that? I need to look into that further.

Anyway to explicitly select with an option, a "running time" rather than
"wall time" we could use CLOCK_MONOTONIC (or CLOCK_MONOTONIC_RAW on newer=
 kernels).
That's not always available though, so then we'd have to look at/document
the inconsistency on systems without CLOCK_MONOTONIC.

Note also that timeout currently doesn't handle a SIGSTOP or SIGTSTP spec=
ially,
as I was thinking it should count down system running time rather
than job running time, as that is dependent on many factors.

cheers,
P=C3=A1draig.

=C2=B9 http://juliusdavies.ca/posix_clocks/clock_realtime_linux_faq.html




Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12248: sleep is not arware of suspend mode
Resent-From: Paul Eggert <eggert@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Wed, 22 Aug 2012 03:19:02 +0000
Resent-Message-ID: <handler.12248.B12248.134560552926208 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12248
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: =?UTF-8?Q?P=C3=A1draig?= Brady <P@HIDDEN>
Cc: 12248 <at> debbugs.gnu.org, Eric Blake <eblake@HIDDEN>, Albrecht Frenzel <ajfrenzel@HIDDEN>, Bob Proulx <bob@HIDDEN>
Received: via spool by 12248-submit <at> debbugs.gnu.org id=B12248.134560552926208
          (code B ref 12248); Wed, 22 Aug 2012 03:19:02 +0000
Received: (at 12248) by debbugs.gnu.org; 22 Aug 2012 03:18:49 +0000
Received: from localhost ([127.0.0.1]:42296 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T41Sy-0006of-Vn
	for submit <at> debbugs.gnu.org; Tue, 21 Aug 2012 23:18:49 -0400
Received: from smtp.cs.ucla.edu ([131.179.128.62]:54727)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eggert@HIDDEN>) id 1T41Sw-0006oX-QH
	for 12248 <at> debbugs.gnu.org; Tue, 21 Aug 2012 23:18:48 -0400
Received: from localhost (localhost.localdomain [127.0.0.1])
	by smtp.cs.ucla.edu (Postfix) with ESMTP id D850839E8015;
	Tue, 21 Aug 2012 20:18:23 -0700 (PDT)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
	by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id OA0lxO-Ctx5O; Tue, 21 Aug 2012 20:18:23 -0700 (PDT)
Received: from [192.168.1.3] (pool-108-23-119-2.lsanca.fios.verizon.net
	[108.23.119.2])
	by smtp.cs.ucla.edu (Postfix) with ESMTPSA id 698AB39E800E;
	Tue, 21 Aug 2012 20:18:23 -0700 (PDT)
Message-ID: <50344F82.4050500@HIDDEN>
Date: Tue, 21 Aug 2012 20:18:26 -0700
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
User-Agent: Mozilla/5.0 (X11; Linux i686;
	rv:14.0) Gecko/20120714 Thunderbird/14.0
MIME-Version: 1.0
References: <503387AB.1040705@HIDDEN> <20120821161527.GL1118@HIDDEN>
	<20120821165856.GA5930@HIDDEN>
	<5033F4AB.3070101@HIDDEN> <5033F793.8060205@HIDDEN>
	<503424A3.1000409@HIDDEN>
In-Reply-To: <503424A3.1000409@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.1 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

On 08/21/2012 05:15 PM, P=C3=A1draig Brady wrote:
> I agree that either behavior could be required.
> The default though should probably stay as is.
> I.E. when the system suspends, the timeout suspends too.

But that's not what 'sleep' does, on systems where
'nanosleep' uses real time, which is what POSIX
specifies.

The Linux kernel uses CLOCK_MONOTONIC for nanosleep,
as opposed to the POSIX-specified CLOCK_REALTIME.
This is an infelicity.  It'd be nicer if 'sleep'
acted as if it were using a realtime clock when
running under the Linux kernel, just as 'sleep'
does on other POSIX systems.




Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12248: sleep is not arware of suspend mode
Resent-From: =?UTF-8?Q?P=C3=A1draig?= Brady <P@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Wed, 22 Aug 2012 08:57:02 +0000
Resent-Message-ID: <handler.12248.B12248.13456257762090 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12248
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: Paul Eggert <eggert@HIDDEN>
Cc: 12248 <at> debbugs.gnu.org, Eric Blake <eblake@HIDDEN>, Albrecht Frenzel <ajfrenzel@HIDDEN>, Bob Proulx <bob@HIDDEN>
Received: via spool by 12248-submit <at> debbugs.gnu.org id=B12248.13456257762090
          (code B ref 12248); Wed, 22 Aug 2012 08:57:02 +0000
Received: (at 12248) by debbugs.gnu.org; 22 Aug 2012 08:56:16 +0000
Received: from localhost ([127.0.0.1]:42627 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T46jX-0000Xe-JF
	for submit <at> debbugs.gnu.org; Wed, 22 Aug 2012 04:56:16 -0400
Received: from mx1.redhat.com ([209.132.183.28]:32274)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <P@HIDDEN>) id 1T46jU-0000XW-Ds
	for 12248 <at> debbugs.gnu.org; Wed, 22 Aug 2012 04:56:14 -0400
Received: from int-mx10.intmail.prod.int.phx2.redhat.com
	(int-mx10.intmail.prod.int.phx2.redhat.com [10.5.11.23])
	by mx1.redhat.com (8.14.4/8.14.4) with ESMTP id q7M8tkoi032592
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Wed, 22 Aug 2012 04:55:46 -0400
Received: from [10.36.116.69] (ovpn-116-69.ams2.redhat.com [10.36.116.69])
	by int-mx10.intmail.prod.int.phx2.redhat.com (8.14.4/8.14.4) with ESMTP
	id q7M8tg1L011816
	(version=TLSv1/SSLv3 cipher=DHE-RSA-CAMELLIA256-SHA bits=256 verify=NO);
	Wed, 22 Aug 2012 04:55:44 -0400
Message-ID: <50349E8E.5050306@HIDDEN>
Date: Wed, 22 Aug 2012 09:55:42 +0100
From: =?UTF-8?Q?P=C3=A1draig?= Brady <P@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
	rv:6.0) Gecko/20110816 Thunderbird/6.0
MIME-Version: 1.0
References: <503387AB.1040705@HIDDEN> <20120821161527.GL1118@HIDDEN>
	<20120821165856.GA5930@HIDDEN>
	<5033F4AB.3070101@HIDDEN> <5033F793.8060205@HIDDEN>
	<503424A3.1000409@HIDDEN> <50344F82.4050500@HIDDEN>
In-Reply-To: <50344F82.4050500@HIDDEN>
X-Enigmail-Version: 1.3.2
Content-Type: text/plain; charset=UTF-8
X-Scanned-By: MIMEDefang 2.68 on 10.5.11.23
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by mx1.redhat.com id
	q7M8tkoi032592
X-Spam-Score: -6.9 (------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

On 08/22/2012 04:18 AM, Paul Eggert wrote:
> On 08/21/2012 05:15 PM, P=C3=A1draig Brady wrote:
>> I agree that either behavior could be required.
>> The default though should probably stay as is.
>> I.E. when the system suspends, the timeout suspends too.
>=20
> But that's not what 'sleep' does, on systems where
> 'nanosleep' uses real time, which is what POSIX
> specifies.
>=20
> The Linux kernel uses CLOCK_MONOTONIC for nanosleep,
> as opposed to the POSIX-specified CLOCK_REALTIME.
> This is an infelicity.  It'd be nicer if 'sleep'
> acted as if it were using a realtime clock when
> running under the Linux kernel, just as 'sleep'
> does on other POSIX systems.

POSIX states that:

"Setting  the  value  of  the CLOCK_REALTIME clock via clock_set=E2=80=90
 time(2) shall have no effect on threads that are blocked waiting
 for a relative time service based upon this clock"

So I'm guessing that Linux is just using CLOCK_MONOTONIC
for consistency so that nanosleep() behaves the same,
whether or not CLOCK_REALTIME jumps due to suspend/resume
or settime().

If other system's nanosleep() are dependent on settime()
then that seems in contravention of POSIX.
If other system's nanosleep() are dependent on suspend/resume
then that seems inconsistent.

It seems like we need to specify a TIMER_ABSTIME via
clock_nanosleep() or timer_settime() to both provide
that behavior as an option and possibly reduce inconsistency
between systems.

cheers,
P=C3=A1draig.




Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12248: sleep is not arware of suspend mode
References: <503387AB.1040705@HIDDEN>
In-Reply-To: <503387AB.1040705@HIDDEN>
Resent-From: Julian Bradfield <jcb@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Fri, 18 Jan 2013 08:05:01 +0000
Resent-Message-ID: <handler.12248.B12248.13584962836923 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12248
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: 12248 <at> debbugs.gnu.org
Cc: Paul Eggert <eggert@HIDDEN>, Eric Blake <eblake@HIDDEN>, Bob Proulx <bob@HIDDEN>, Albrecht Frenzel <ajfrenzel@HIDDEN>
Received: via spool by 12248-submit <at> debbugs.gnu.org id=B12248.13584962836923
          (code B ref 12248); Fri, 18 Jan 2013 08:05:01 +0000
Received: (at 12248) by debbugs.gnu.org; 18 Jan 2013 08:04:43 +0000
Received: from localhost ([127.0.0.1]:37815 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tw6wM-0001nb-FI
	for submit <at> debbugs.gnu.org; Fri, 18 Jan 2013 03:04:43 -0500
Received: from nougat.ucs.ed.ac.uk ([129.215.13.205]:40983)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <jcb@HIDDEN>) id 1Tw6fO-0001Nz-Ht
	for 12248 <at> debbugs.gnu.org; Fri, 18 Jan 2013 02:47:12 -0500
Received: from beeknow.inf.ed.ac.uk (beeknow.inf.ed.ac.uk [129.215.33.12])
	by nougat.ucs.ed.ac.uk (8.13.8/8.13.4) with ESMTP id r0I7jqOl013848;
	Fri, 18 Jan 2013 07:45:52 GMT
Received: from pula.lan (openvpn-125-134.inf.ed.ac.uk [129.215.125.134])
	(authenticated bits=0)
	by beeknow.inf.ed.ac.uk (8.14.4/8.14.4) with ESMTP id r0I7jnSA012673
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Fri, 18 Jan 2013 07:45:50 GMT
Received: by pula.lan (Postfix, from userid 28283)
	id 68E8623B18; Fri, 18 Jan 2013 07:45:50 +0000 (GMT)
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
Message-ID: <20728.64941.948662.477504@HIDDEN>
Date: Fri, 18 Jan 2013 07:45:49 +0000
From: Julian Bradfield <jcb@HIDDEN>
X-Mailer: VM 8.2.0b under 21.4 (beta21) "JCB UNICODE V0.5" XEmacs Unicode
	(i686-pc-linux)
X-Edinburgh-Scanned: at nougat.ucs.ed.ac.uk
	with MIMEDefang 2.60, Sophie, Sophos Anti-Virus, Clam AntiVirus
Content-Disposition: inline
X-Scanned-By: MIMEDefang 2.60 on 129.215.13.205
X-Spam-Score: -1.5 (-)
X-Mailman-Approved-At: Fri, 18 Jan 2013 03:04:41 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.3 (--)

I've just come across this thread, as I was trying to work out who was
responsible for this (IMHO) undoubted bug. I wanted to respond to
P=E1draig's last comment.

P=E1draig said:

> POSIX states that:
>=20
> "Setting  the  value  of  the CLOCK_REALTIME clock via clock_set-
>  time(2) shall have no effect on threads that are blocked waiting
>  for a relative time service based upon this clock"

I strongly suspect that this is an infelicity in the expression of the
intended specification. Obviously relative CLOCK_REALTIME waits should
not be be affected if the time changes because it's been set
wrong. But that's a different matter from changing it because real
time has elapsed without it noticing. Posix was not really written
with modern systems in mind.
(Leaving aside the question of whether adjusting the time after resume
is done by userspace calling clock_settime() !)


--=20
The University of Edinburgh is a charitable body, registered in
Scotland, with registration number SC005336.





Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 15 Oct 2018 17:37:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 15 13:37:52 2018
Received: from localhost ([127.0.0.1]:51194 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gC6oR-00012C-U1
	for submit <at> debbugs.gnu.org; Mon, 15 Oct 2018 13:37:52 -0400
Received: from mail-it1-f169.google.com ([209.85.166.169]:38789)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>) id 1gC6oP-00011z-SP
 for control <at> debbugs.gnu.org; Mon, 15 Oct 2018 13:37:50 -0400
Received: by mail-it1-f169.google.com with SMTP id i76-v6so28821369ita.3
 for <control <at> debbugs.gnu.org>; Mon, 15 Oct 2018 10:37:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:from:message-id:date:user-agent:mime-version:content-language
 :content-transfer-encoding;
 bh=DNJ9NRW4Ran5oeMf5g5IluyqlnzT/iSCMXx2C2zb9xM=;
 b=E3UsRdh5hiRaQQQ2qsfqS8muDBKzwESlndiI2JFSgR2ybS+nBKVGOGZ2tbXprUJAH5
 i1jmK/MWGh+aAISnN4xSupKbT9NAM85xukVxKINq58wRzrdE9rNtcd3Dqk/iPikbkWeG
 DS7zRpVjZ6ZZlayr9uMAfDPMwcYExuEHOVkzjr2h9SgVzZBNUzEI7XhyvBGMt22Z6Z9z
 g2IMZAc/rGw4p2sQR0nHL1zP0q9N34QVEKIe/aLVvYJaD2pwnnZpXIR5KgCXOdXaGukZ
 aK6epcRQCCOVBXQRMWWhTs5tJc4Q3PGIyIerobs5T5HXKGaLTOw/UbDnJ81i4JqSHMFi
 aFzw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:from:message-id:date:user-agent:mime-version
 :content-language:content-transfer-encoding;
 bh=DNJ9NRW4Ran5oeMf5g5IluyqlnzT/iSCMXx2C2zb9xM=;
 b=O+wkMPGAQlBD9pACZZXV4SMjbIjvYnuwq+5eIs/a4Amh8YCbXgcCD3tQ2xzkEpSZiV
 BB2gW3bwSmV1VygLUJJDrYSF37bSBDgrCQ7igoghJm80J7aeihuBTJKeqJLk5NwjpCRH
 VXs1aDmA37e9H8gUyrXz+Ctr9jRu9IF3rMis4ps6EdAHDL27kaHNGLGM/AoEkAP5YaU+
 zSCR1KOY3mPTysSFDHZctFSHt0ezDntuj3B695vB/ltMEYDV3vWxsctG0crIKduAlM8d
 efHSXx6Y+Ybxuudgo4b1iLWGcmqkEXdU/fU26LhQKmHDauIzcIYncJNUI73Zq7qbHpeN
 Jqfw==
X-Gm-Message-State: ABuFfogSvcj7tNPIncoikb5iIrG97nLRobo2ZHKrXaTgTDBg9xSpix+i
 wlOUNUB1P2ru/0HP+Q626TD3fszaMaM=
X-Google-Smtp-Source: ACcGV62AbBupslHxuuTJOHyF35VSQdf11c6xcY8MOTlnut9nJdVeDWMwZhmo8pwld+2Emn/vDpV/ew==
X-Received: by 2002:a02:88f7:: with SMTP id
 b52-v6mr13542999jak.25.1539625063731; 
 Mon, 15 Oct 2018 10:37:43 -0700 (PDT)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id
 t190-v6sm4693205ita.39.2018.10.15.10.37.42
 for <control <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 15 Oct 2018 10:37:42 -0700 (PDT)
To: control <at> debbugs.gnu.org
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <92ed409d-c9e7-5068-64ce-b8b34a19c8b2@HIDDEN>
Date: Mon, 15 Oct 2018 11:37:40 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.9.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  severity 12248 wishlist retitle 12248 sleep: use realtime
 seconds, not relative seconds (be aware of suspend mode) [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.166.169 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.166.169 listed in wl.mailspike.net]
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (assafgordon[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

severity 12248 wishlist
retitle 12248 sleep: use realtime seconds, not relative seconds (be 
aware of suspend mode)





Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 15 Oct 2018 17:37:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 15 13:37:52 2018
Received: from localhost ([127.0.0.1]:51194 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gC6oR-00012C-U1
	for submit <at> debbugs.gnu.org; Mon, 15 Oct 2018 13:37:52 -0400
Received: from mail-it1-f169.google.com ([209.85.166.169]:38789)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>) id 1gC6oP-00011z-SP
 for control <at> debbugs.gnu.org; Mon, 15 Oct 2018 13:37:50 -0400
Received: by mail-it1-f169.google.com with SMTP id i76-v6so28821369ita.3
 for <control <at> debbugs.gnu.org>; Mon, 15 Oct 2018 10:37:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:from:message-id:date:user-agent:mime-version:content-language
 :content-transfer-encoding;
 bh=DNJ9NRW4Ran5oeMf5g5IluyqlnzT/iSCMXx2C2zb9xM=;
 b=E3UsRdh5hiRaQQQ2qsfqS8muDBKzwESlndiI2JFSgR2ybS+nBKVGOGZ2tbXprUJAH5
 i1jmK/MWGh+aAISnN4xSupKbT9NAM85xukVxKINq58wRzrdE9rNtcd3Dqk/iPikbkWeG
 DS7zRpVjZ6ZZlayr9uMAfDPMwcYExuEHOVkzjr2h9SgVzZBNUzEI7XhyvBGMt22Z6Z9z
 g2IMZAc/rGw4p2sQR0nHL1zP0q9N34QVEKIe/aLVvYJaD2pwnnZpXIR5KgCXOdXaGukZ
 aK6epcRQCCOVBXQRMWWhTs5tJc4Q3PGIyIerobs5T5HXKGaLTOw/UbDnJ81i4JqSHMFi
 aFzw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:from:message-id:date:user-agent:mime-version
 :content-language:content-transfer-encoding;
 bh=DNJ9NRW4Ran5oeMf5g5IluyqlnzT/iSCMXx2C2zb9xM=;
 b=O+wkMPGAQlBD9pACZZXV4SMjbIjvYnuwq+5eIs/a4Amh8YCbXgcCD3tQ2xzkEpSZiV
 BB2gW3bwSmV1VygLUJJDrYSF37bSBDgrCQ7igoghJm80J7aeihuBTJKeqJLk5NwjpCRH
 VXs1aDmA37e9H8gUyrXz+Ctr9jRu9IF3rMis4ps6EdAHDL27kaHNGLGM/AoEkAP5YaU+
 zSCR1KOY3mPTysSFDHZctFSHt0ezDntuj3B695vB/ltMEYDV3vWxsctG0crIKduAlM8d
 efHSXx6Y+Ybxuudgo4b1iLWGcmqkEXdU/fU26LhQKmHDauIzcIYncJNUI73Zq7qbHpeN
 Jqfw==
X-Gm-Message-State: ABuFfogSvcj7tNPIncoikb5iIrG97nLRobo2ZHKrXaTgTDBg9xSpix+i
 wlOUNUB1P2ru/0HP+Q626TD3fszaMaM=
X-Google-Smtp-Source: ACcGV62AbBupslHxuuTJOHyF35VSQdf11c6xcY8MOTlnut9nJdVeDWMwZhmo8pwld+2Emn/vDpV/ew==
X-Received: by 2002:a02:88f7:: with SMTP id
 b52-v6mr13542999jak.25.1539625063731; 
 Mon, 15 Oct 2018 10:37:43 -0700 (PDT)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id
 t190-v6sm4693205ita.39.2018.10.15.10.37.42
 for <control <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 15 Oct 2018 10:37:42 -0700 (PDT)
To: control <at> debbugs.gnu.org
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <92ed409d-c9e7-5068-64ce-b8b34a19c8b2@HIDDEN>
Date: Mon, 15 Oct 2018 11:37:40 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.9.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  severity 12248 wishlist retitle 12248 sleep: use realtime
 seconds, not relative seconds (be aware of suspend mode) [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.166.169 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.166.169 listed in wl.mailspike.net]
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (assafgordon[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

severity 12248 wishlist
retitle 12248 sleep: use realtime seconds, not relative seconds (be 
aware of suspend mode)






Last modified: Mon, 15 Oct 2018 17:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.